Subject: Re: [bug#56775] [PATCH 4/4] gnu: Add rust-miniz-oxide-0.5.

From: Maxime Devos <[email-masked]>
Date: Tue, 26 Jul 2022 12:17:23 +0200

On 26-07-2022 09:26, Nicolas Graves via Guix-patches via wrote:
>       (arguments
>        `(#:cargo-inputs
> -       (("rust-adler" ,rust-adler-0.2)
> -        ("rust-autocfg" ,rust-autocfg-1)
> +       (("rust-adler" ,rust-adler-1)
>           ("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
>           ("rust-rustc-std-workspace-alloc" ,rust-rustc-std-workspace-alloc-1)
> -        ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1))))
> +        ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1)
> +        ("rust-simd-adler32" ,rust-simd-adler32-0.3))))

You are removing rust-autocfg, but @0.4.3 still uses that, so this would 
cause a build failure for dependents of @0.4.3. Well, maybe not because 
of how cargo-build-system effectively propagates inputs, but antioxidant 
doesn't do propagation.

Greetings,
Maxime